TaskbarRegister (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar
Class TaskbarRegister

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar.TaskbarRegister

    public class TaskbarRegister

extends Object

Manages the widgets registered in the taskbar. Useful to implement the "close all" and to avoid duplicates.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`TaskbarRegister()`

Method Summary
`static void` | `closeAll()`
`static boolean` | `contains(String key)`
`static int` | `getCurrAddScopeReportsNumber()`
`static TaskbarWindow` | `getLastOpenedWindow()`
`static TaskbarItem` | `getTaskbarItem(String id)`
`static void` | `minimizeAll()`
`static void` | `registerTaskbarWidget(String id, TaskbarItem item)`
`static void` | `setLastOpenedWindow(TaskbarWindow lastOpenedWindow)`
`static void` | `unregisterTaskbarWidget(String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskbarRegister

    public TaskbarRegister()

Method Detail

### getCurrAddScopeReportsNumber

    public static int getCurrAddScopeReportsNumber()

### setLastOpenedWindow

    public static void setLastOpenedWindow(TaskbarWindow lastOpenedWindow)

### getLastOpenedWindow

    public static TaskbarWindow getLastOpenedWindow()

### registerTaskbarWidget

    public static void registerTaskbarWidget(String id,
                                             TaskbarItem item)

### unregisterTaskbarWidget

    public static void unregisterTaskbarWidget(String id)

### getTaskbarItem

    public static TaskbarItem getTaskbarItem(String id)

### contains

    public static boolean contains(String key)

### minimizeAll

    public static void minimizeAll()

### closeAll

    public static void closeAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.